Drupal 10 deprecation errors

Filter errors
All occurences Sort descending Affected projects Occurs in a top X project by usage Category Message
1 1 1000 Symfony API Parameter $event of method Drupal​\​akamai​\​EventSubscriber​\​CacheableResponseSubscriber::onRespond() has typehint with deprecated class Symfony​\​Component​\​HttpKernel​\​Event​\​FilterResponseEvent: since Symfony 4.3, use ResponseEvent instead
1 1 1000 Drupal API, rector covered Call to deprecated method assertRaw() of class Drupal​\​Tests​\​BrowserTestBase. Deprecated in drupal:8.2.0 and is removed from drupal:10.0.0. Use $this->assertSession()->responseContains() instead.
1 1 10000 Drupal API, rector covered Call to deprecated function file_url_transform_relative(). Deprecated in drupal:9.3.0 and is removed from drupal:10.0.0. Use Drupal​\​Core​\​File​\​FileUrlGenerator::transformRelative() instead.
1 1 10000 Parse error The canto_connector.uc library does not have an extension name and is therefore not valid.
1 1 10000 Frontend API The 'fancytree' library is depending on a deprecated library. The "core/jquery.ui" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969
1 1 10000 Frontend API The 'fancytree' library is depending on a deprecated library. The "core/jquery.ui.widget" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969
1 1 10000 Other problem Class Drupal​\​taxonomy_breadcrumb​\​VocabularyForm extends @internal class Drupal​\​taxonomy​\​VocabularyForm.
1 1 10000 Other problem Property Drupal​\​Tests​\​commerce_sermepa​\​Functional​\​SermepaGatewayOnNotifyTest::$modules property must be protected.
1 1 10000 Other problem Property Drupal​\​Tests​\​commerce_sermepa​\​FunctionalJavascript​\​SermepaGatewayUiTest::$modules property must be protected.
1 1 10000 Other problem Call to deprecated method waitForAjaxToFinish() of class Drupal​\​Tests​\​commerce​\​FunctionalJavascript​\​CommerceWebDriverTestBase. Deprecated in commerce:8.x-2.16 and is removed from commerce:3.x.
1 1 10000 Other problem Property Drupal​\​Tests​\​backup_db​\​Functional​\​InstallTest::$modules property must be protected.
1 1 10000 Frontend API The 'yamaps-init' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 10000 Symfony API Parameter $event of method Drupal​\​ulogin​\​EventSubscriber​\​MaintenanceModeSubscriber::onKernelRequestMaintenance() has typehint with deprecated class Symfony​\​Component​\​HttpKernel​\​Event​\​GetResponseEvent: since Symfony 4.3, use RequestEvent instead
1 1 10000 Symfony API Symfony​\​Cmf​\​Component​\​Routing​\​RouteObjectInterface::ROUTE_OBJECT is deprecated and removed in Drupal 10. Use Drupal​\​Core​\​Routing​\​RouteObjectInterface::ROUTE_OBJECT instead.
1 1 10000 Drupal API, rector covered Call to deprecated function file_move(). Deprecated in drupal:9.3.0 and is removed from drupal:10.0.0. Use Drupal​\​file​\​FileRepositoryInterface::move() instead.
1 1 10000 Frontend API The 'async' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 10000 Frontend API The 'ulogin' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 10000 Frontend API The 'admin' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 10000 Symfony API Parameter $event of method Drupal​\​nodejs​\​EventSubscriber​\​NodejsSubscriber::sendMessages() has typehint with deprecated class Symfony​\​Component​\​HttpKernel​\​Event​\​PostResponseEvent: since Symfony 4.3, use TerminateEvent instead
1 1 10000 Other problem Parameter $membership_loader of method Drupal​\​group_taxonomy​\​GroupTaxonomyService::__construct() has typehint with deprecated class Drupal​\​group​\​GroupMembershipLoader. Deprecated in group:3.2.0 and is removed from group:4.0.0. Use the static methods on ​\​Drupal​\​group​\​Entity​\​GroupMembership instead.
1 1 10000 Symfony API Parameter $event of method Drupal​\​cleanpager​\​EventSubscriber​\​CleanPagerSubscriber::checkForRedirection() has typehint with deprecated class Symfony​\​Component​\​HttpKernel​\​Event​\​GetResponseEvent: since Symfony 4.3, use RequestEvent instead
1 1 10000 Other problem Call to deprecated method toMinorUnits() of class Drupal​\​commerce_payment​\​Plugin​\​Commerce​\​PaymentGateway​\​PaymentGatewayBase.
1 1 10000 Frontend API The 'form' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 10000 Drupal API, rector covered Call to deprecated method assertHeader() of class Drupal​\​Tests​\​BrowserTestBase. Deprecated in drupal:8.3.0 and is removed from drupal:10.0.0. Use $this->assertSession()->responseHeaderEquals() instead.
1 1 10000 Drupal API, rector covered Call to deprecated method assertCacheTag() of class Drupal​\​Tests​\​BrowserTestBase. Deprecated in drupal:8.2.0 and is removed from drupal:10.0.0. Use $this->assertSession()->responseHeaderContains() instead.
1 1 10000 Frontend API The 'widget' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 10000 Frontend API The 'cbb' library is depending on a deprecated library. The core/jquery.cookie asset library is deprecated in Drupal 9.0.0 and will be removed in Drupal 10.0.0. Use the core/js-cookie library instead. See https://www.drupal.org/node/3104677
1 1 10000 Other problem Property Drupal​\​Tests​\​base_field_display_override​\​Functional​\​LoadTest::$modules property must be protected.
1 1 10000 Drupal API, not rector covered Call to deprecated function menu_ui_get_menus(). Deprecated in drupal:9.3.0 and is removed from drupal:10.0.0. Use Drupal​\​system​\​Entity​\​Menu::loadMultiple() instead.
1 1 10000 Info.yml or composer.json Add core_version_requirement: ^9 || ^10 to designate that the extension is compatible with Drupal 10. See https://drupal.org/node/3070687.


Results are from dataset #97904 from 2024-02-18T12:35. Report is ran by the Drupal Association regularly.